Firefox glxtest libpci dependency

From: Evgeniy Khramtsov via freebsd-gecko <freebsd-gecko_at_freebsd.org>
Date: Sat, 29 May 2021 17:41:37 +0300
Hi.

When starting Firefox in a terminal emulator, it complains about libpci
missing for glxtest.

According to the source, Firefox dlopens libpci.so.3:
https://searchfox.org/mozilla-central/source/toolkit/xre/glxtest.cpp#250

devel/libpci provides this library and installing it resolves the
warning. Should this library be added as a runtime dependency for gecko?

Note that this was tested on mozilla-central Firefox
(hg tagname 9d30cff8f9d48403530819099b36b36f41acb845).
Received on Sat May 29 2021 - 14:41:37 UTC

Original text of this message